From 2620d1e54ec080021dd01555d83170ad4eb06838 Mon Sep 17 00:00:00 2001
From: Jonathan Wilkes <jon.w.wilkes@gmail.com>
Date: Thu, 6 Jul 2017 01:39:51 -0400
Subject: [PATCH] make build script fail if nwjs binary isn't downloaded

---
 l2ork_addons/tar_em_up.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/l2ork_addons/tar_em_up.sh b/l2ork_addons/tar_em_up.sh
index 60d959963..3a996602c 100755
--- a/l2ork_addons/tar_em_up.sh
+++ b/l2ork_addons/tar_em_up.sh
@@ -143,6 +143,13 @@ if [ ! -d "../pd/nw/nw" ]; then
 	echo "Fetching the nwjs binary from"
 	echo "$nwjs_url"
 	wget -nv $nwjs_url
+        if wget -nv $nwjs_url; then
+		echo "Could not download the nwjs binary"
+		exit 1
+	else
+		echo "Downloaded nwjs binary"
+		exit 1
+	fi
 	if [[ $os == "win" || $os == "osx" ]]; then
 		unzip $nwjs_filename
 	else
-- 
GitLab